#colony 2 #weights null model 1 out-degree
Nperm=1000
null.model_w_out_n2 <- lapply(seq_len(Nperm), function(x){  
  randomnet <- rg_reshuffling_w(BTNC2Itotaligs_b_tnet, option="weights") 
})

deg_out_weights <- function(x){
  degree_w(x,measure=c("output"), type="out", alpha=0.5)
}

deg_out_nullmodel_w_n2<-lapply(null.model_w_out_n2, deg_out_weights)

#colony 2
#####node degree out #weights null model 1

deg_out_nullmodel_w_n2_WL<-lapply(deg_out_nullmodel_w_n2, function(x) x[1,2]) #WL

deg_out.wl_c2<-as.data.frame(unlist(deg_out_nullmodel_w_n2_WL))
deg_out.wl_c2<-as.numeric(unlist(deg_out.wl_c2)) #

#praw_wl.c1<-(sum(abs(deg_out.wl_c1) >= abs(BTN1centrality_degreeout_wl)) + 1) / (length(deg_out.wl_c1) + 1) #p 1
#praw_wl.c1

zscore<-net.zscore(BTN2Icentrality_degreeout_wl, deg_out.wl_c2)
zscore
net.metric.pvalue <- 2*pnorm(-abs(zscore))
net.metric.pvalue # 
#

deg_out_nullmodel_w_n2_SG<-lapply(deg_out_nullmodel_w_n2, function(x) x[2,2]) #SG

deg_out.sg_c2<-as.data.frame(unlist(deg_out_nullmodel_w_n2_SG))
deg_out.sg_c2<-as.numeric(unlist(deg_out.sg_c2)) 

#praw_sg.c1<-(sum(abs(deg_out.sg_c1) >= abs(BTN1centrality_degreeout_sg)) + 1) / (length(deg_out.sg_c1) + 1) #p 0.99
#praw_sg.c1

zscore<-net.zscore(BTN2Icentrality_degreeout_sg, deg_out.sg_c2)
zscore
net.metric.pvalue <- 2*pnorm(-abs(zscore))
net.metric.pvalue # 

#
deg_out_nullmodel_w_n2_AT<-lapply(deg_out_nullmodel_w_n2, function(x) x[3,2]) #AT

deg_out.at_c2<-as.data.frame(unlist(deg_out_nullmodel_w_n2_AT))
deg_out.at_c2<-as.numeric(unlist(deg_out.at_c2)) #

#praw_at.c1<-(sum(abs(deg_out.at_c1) >= abs(BTN1centrality_degreeout_at)) + 1) / (length(deg_out.at_c1) + 1) #p  0.64
#praw_at.c1

zscore<-net.zscore(BTN2Icentrality_degreeout_at, deg_out.at_c2)
zscore
net.metric.pvalue <- 2*pnorm(-abs(zscore))
net.metric.pvalue # 
#

deg_out_nullmodel_w_n2_G<-lapply(deg_out_nullmodel_w_n2, function(x) x[4,2]) #G

deg_out.g_c2<-as.data.frame(unlist(deg_out_nullmodel_w_n2_G))
deg_out.g_c2<-as.numeric(unlist(deg_out.g_c2)) #

#praw_g.c1<-(sum(abs(deg_out.g_c1) >= abs(BTN1centrality_degreeout_g)) + 1) / (length(deg_out.g_c1) + 1) #p  0.46
#praw_g.c1

zscore<-net.zscore(BTN2Icentrality_degreeout_g, deg_out.g_c2)
zscore
net.metric.pvalue <- 2*pnorm(-abs(zscore))
net.metric.pvalue # 
#

deg_out_nullmodel_w_n2_BG<-lapply(deg_out_nullmodel_w_n2, function(x) x[5,2]) #BG

deg_out.bg_c2<-as.data.frame(unlist(deg_out_nullmodel_w_n2_BG))
deg_out.bg_c2<-as.numeric(unlist(deg_out.bg_c2)) #

#praw_bg.c1<-(sum(abs(deg_out.bg_c1) >= abs(BTN1centrality_degreeout_bg)) + 1) / (length(deg_out.bg_c1) + 1) #p  0.28
#praw_bg.c1

zscore<-net.zscore(BTN2Icentrality_degreeout_bg, deg_out.bg_c2)
zscore
net.metric.pvalue <- 2*pnorm(-abs(zscore))
net.metric.pvalue # 
#

deg_out_nullmodel_w_n2_BC<-lapply(deg_out_nullmodel_w_n2, function(x) x[6,2]) #BC

deg_out.bc_c2<-as.data.frame(unlist(deg_out_nullmodel_w_n2_BC))
deg_out.bc_c2<-as.numeric(unlist(deg_out.bc_c2)) #

#praw_bc.c1<-(sum(abs(deg_out.bc_c1) >= abs(BTN1centrality_degreeout_bc)) + 1) / (length(deg_out.bc_c1) + 1) #p  0.08
#praw_bc.c1

zscore<-net.zscore(BTN2Icentrality_degreeout_bc, deg_out.bc_c2)
zscore
net.metric.pvalue <- 2*pnorm(-abs(zscore))
net.metric.pvalue # 
#

deg_out_nullmodel_w_n2_CB<-lapply(deg_out_nullmodel_w_n2, function(x) x[7,2]) #CB

deg_out.cb_c2<-as.data.frame(unlist(deg_out_nullmodel_w_n2_CB))
deg_out.cb_c2<-as.numeric(unlist(deg_out.bc_c2)) #

#praw_cb.c1<-(sum(abs(deg_out.cb_c1) >= abs(BTN1centrality_degreeout_cb)) + 1) / (length(deg_out.cb_c1) + 1) #p  0.88
#praw_cb.c1

zscore<-net.zscore(BTN2Icentrality_degreeout_cb, deg_out.cb_c2)
zscore
net.metric.pvalue <- 2*pnorm(-abs(zscore))
net.metric.pvalue # 
#

deg_out_nullmodel_w_n2_CD<-lapply(deg_out_nullmodel_w_n2, function(x) x[8,2]) #CD

deg_out.cd_c2<-as.data.frame(unlist(deg_out_nullmodel_w_n2_CD))
deg_out.cd_c2<-as.numeric(unlist(deg_out.cd_c2)) #

#praw_cd.c1<-(sum(abs(deg_out.cd_c1) >= abs(BTN1centrality_degreeout_cd)) + 1) / (length(deg_out.cd_c1) + 1) #p  0.07
#praw_cd.c1

zscore<-net.zscore(BTN2Icentrality_degreeout_cd,  deg_out.cd_c2)
zscore
net.metric.pvalue <- 2*pnorm(-abs(zscore))
net.metric.pvalue # 
#

deg_out_nullmodel_w_n2_FP<-lapply(deg_out_nullmodel_w_n2, function(x) x[9,2]) #FP

deg_out.fp_c2<-as.data.frame(unlist(deg_out_nullmodel_w_n2_FP))
deg_out.fp_c2<-as.numeric(unlist(deg_out.fp_c2)) #

zscore<-net.zscore(BTN2Icentrality_degreeout_fp, deg_out.fp_c2)
zscore
net.metric.pvalue <- 2*pnorm(-abs(zscore))
net.metric.pvalue # 
#
######################################################################################

#colony 2 #weights null model 1 in-degree
Nperm=1000
null.model_w_in_n2 <- lapply(seq_len(Nperm), function(x){  
  randomnet <- rg_reshuffling_w(BTNC2Itotaligs_b_tnet, option="weights") 
})

deg_in_weights <- function(x){
  degree_w(x,measure=c("output"), type="in", alpha=0.5)
}

deg_in_nullmodel_w_n2<-lapply(null.model_w_in_n2, deg_in_weights)

#####node degree in #weights null model 1

deg_in_nullmodel_w_n2_WL<-lapply(deg_in_nullmodel_w_n2, function(x) x[1,2]) #WL

deg_in.wl_c2<-as.data.frame(unlist(deg_in_nullmodel_w_n2_WL))
deg_in.wl_c2<-as.numeric(unlist(deg_in.wl_c2)) #

#praw_wl.c1<-(sum(abs(deg_in.wl_c1) >= abs(BTN1centrality_degreein_wl)) + 1) / (length(deg_in.wl_c1) + 1) #p 0.06
#praw_wl.c1

zscore<-net.zscore(BTN2Icentrality_degreein_wl, deg_in.wl_c2)
zscore
net.metric.pvalue <- 2*pnorm(-abs(zscore))
net.metric.pvalue # 

#
deg_in_nullmodel_w_n2_SG<-lapply(deg_in_nullmodel_w_n2, function(x) x[2,2]) #SG

deg_in.sg_c2<-as.data.frame(unlist(deg_in_nullmodel_w_n2_SG))
deg_in.sg_c2<-as.numeric(unlist(deg_in.sg_c2)) #

zscore<-net.zscore(BTN2Icentrality_degreein_sg, deg_in.sg_c2)
zscore
net.metric.pvalue <- 2*pnorm(-abs(zscore))
net.metric.pvalue # 

#
deg_in_nullmodel_w_n2_AT<-lapply(deg_in_nullmodel_w_n2, function(x) x[3,2]) #AT

deg_in.at_c2<-as.data.frame(unlist(deg_in_nullmodel_w_n2_AT))
deg_in.at_c2<-as.numeric(unlist(deg_in.at_c2)) #

#praw_at.c1<-(sum(abs(deg_in.at_c1) >= abs(BTN1centrality_degreein_at)) + 1) / (length(deg_in.at_c1) + 1) #p 0.96
#praw_at.c1

zscore<-net.zscore(BTN2Icentrality_degreein_at, deg_in.at_c2)
zscore
net.metric.pvalue <- 2*pnorm(-abs(zscore))
net.metric.pvalue # 

#
deg_in_nullmodel_w_n2_G<-lapply(deg_in_nullmodel_w_n2, function(x) x[4,2]) #G

deg_in.g_c2<-as.data.frame(unlist(deg_in_nullmodel_w_n2_G))
deg_in.g_c2<-as.numeric(unlist(deg_in.g_c2)) #

#praw_g.c1<-(sum(abs(deg_in.g_c1) >= abs(BTN1centrality_degreein_g)) + 1) / (length(deg_in.g_c1) + 1) #p 0.39
#praw_g.c1

zscore<-net.zscore(BTN2Icentrality_degreein_g, deg_in.g_c2)
zscore
net.metric.pvalue <- 2*pnorm(-abs(zscore))
net.metric.pvalue # 

#
deg_in_nullmodel_w_n2_BG<-lapply(deg_in_nullmodel_w_n2, function(x) x[5,2]) #BG

deg_in.bg_c2<-as.data.frame(unlist(deg_in_nullmodel_w_n2_BG))
deg_in.bg_c2<-as.numeric(unlist(deg_in.bg_c2)) #

#praw_bg.c1<-(sum(abs(deg_in.bg_c1) >= abs(BTN1centrality_degreein_bg)) + 1) / (length(deg_in.bg_c1) + 1) #p 0.68
#praw_bg.c1

zscore<-net.zscore(BTN2Icentrality_degreein_bg, deg_in.bg_c2)
zscore
net.metric.pvalue <- 2*pnorm(-abs(zscore))
net.metric.pvalue # 

#
deg_in_nullmodel_w_n2_BC<-lapply(deg_in_nullmodel_w_n2, function(x) x[6,2]) #BC

deg_in.bc_c2<-as.data.frame(unlist(deg_in_nullmodel_w_n2_BC))
deg_in.bc_c2<-as.numeric(unlist(deg_in.bc_c2)) #

#praw_bc.c1<-(sum(abs(deg_in.bc_c1) >= abs(BTN1centrality_degreein_bc)) + 1) / (length(deg_in.bc_c1) + 1) #p 0.38
#praw_bc.c1

zscore<-net.zscore(BTN2Icentrality_degreein_bc, deg_in.bc_c2)
zscore
net.metric.pvalue <- 2*pnorm(-abs(zscore))
net.metric.pvalue # 

#
deg_in_nullmodel_w_n2_CB<-lapply(deg_in_nullmodel_w_n2, function(x) x[7,2]) #CB

deg_in.cb_c2<-as.data.frame(unlist(deg_in_nullmodel_w_n2_CB))
deg_in.cb_c2<-as.numeric(unlist(deg_in.cb_c2)) #

#praw_cb.c1<-(sum(abs(deg_in.cb_c1) >= abs(BTN1centrality_degreein_cb)) + 1) / (length(deg_in.cb_c1) + 1) #p 0.77
#praw_cb.c1

zscore<-net.zscore(BTN2Icentrality_degreein_cb, deg_in.cb_c2)
zscore
net.metric.pvalue <- 2*pnorm(-abs(zscore))
net.metric.pvalue #

#
deg_in_nullmodel_w_n2_CD<-lapply(deg_in_nullmodel_w_n2, function(x) x[8,2]) #CD

deg_in.cd_c2<-as.data.frame(unlist(deg_in_nullmodel_w_n2_CD))
deg_in.cd_c2<-as.numeric(unlist(deg_in.cd_c2)) #

#praw_cd.c1<-(sum(abs(deg_in.cd_c1) >= abs(BTN1centrality_degreein_cd)) + 1) / (length(deg_in.cd_c1) + 1) #p 0.88
#praw_cd.c1

zscore<-net.zscore(BTN2Icentrality_degreein_cd, deg_in.cd_c2)
zscore
net.metric.pvalue <- 2*pnorm(-abs(zscore))
net.metric.pvalue #

#
deg_in_nullmodel_w_n2_FP<-lapply(deg_in_nullmodel_w_n2, function(x) x[9,2]) #FP

deg_in.fp_c2<-as.data.frame(unlist(deg_in_nullmodel_w_n2_FP))
deg_in.fp_c2<-as.numeric(unlist(deg_in.fp_c2)) #

#praw_fp.c1<-(sum(abs(deg_in.fp_c1) >= abs(BTN1centrality_degreein_fp)) + 1) / (length(deg_in.fp_c1) + 1) #p 0.88
#praw_fp.c1

zscore<-net.zscore(BTN2Icentrality_degreein_fp, deg_in.fp_c2)
zscore
net.metric.pvalue <- 2*pnorm(-abs(zscore))
net.metric.pvalue #

##############################################################################################################################

#colony 2 #weights null model 2 out-degree
Nperm=1000
null.model_l_out_n2 <- lapply(seq_len(Nperm), function(x){  
  randomnet <- rg_reshuffling_w(BTNC2Itotaligs_b_tnet, option="links") 
})

deg_out_links <- function(x){
  degree_w(x,measure=c("output"), type="out", alpha=0.5)
}

deg_out_nullmodel_l_n2<-lapply(null.model_l_out_n2, deg_out_links)

#colony 2
#####node degree out #weights null model 2

deg_out_nullmodel_l_n2_WL<-lapply(deg_out_nullmodel_l_n2, function(x) x[1,2]) #WL

deg_out.wl_c2<-as.data.frame(unlist(deg_out_nullmodel_l_n2_WL))
deg_out.wl_c2<-as.numeric(unlist(deg_out.wl_c2)) #

#praw_wl.c1<-(sum(abs(deg_out.wl_c1) >= abs(BTN1centrality_degreeout_wl)) + 1) / (length(deg_out.wl_c1) + 1) #p 1
#praw_wl.c1

zscore<-net.zscore(BTN2Icentrality_degreeout_wl, deg_out.wl_c2)
zscore
net.metric.pvalue <- 2*pnorm(-abs(zscore))
net.metric.pvalue # 
#

deg_out_nullmodel_l_n2_SG<-lapply(deg_out_nullmodel_l_n2, function(x) x[2,2]) #SG

deg_out.sg_c2<-as.data.frame(unlist(deg_out_nullmodel_l_n2_SG))
deg_out.sg_c2<-as.numeric(unlist(deg_out.sg_c2)) 

#praw_sg.c1<-(sum(abs(deg_out.sg_c1) >= abs(BTN1centrality_degreeout_sg)) + 1) / (length(deg_out.sg_c1) + 1) #p 0.99
#praw_sg.c1

zscore<-net.zscore(BTN2Icentrality_degreeout_sg, deg_out.sg_c2)
zscore
net.metric.pvalue <- 2*pnorm(-abs(zscore))
net.metric.pvalue # 

#
deg_out_nullmodel_l_n2_AT<-lapply(deg_out_nullmodel_l_n2, function(x) x[3,2]) #AT

deg_out.at_c2<-as.data.frame(unlist(deg_out_nullmodel_l_n2_AT))
deg_out.at_c2<-as.numeric(unlist(deg_out.at_c2)) #

#praw_at.c1<-(sum(abs(deg_out.at_c1) >= abs(BTN1centrality_degreeout_at)) + 1) / (length(deg_out.at_c1) + 1) #p  0.64
#praw_at.c1

zscore<-net.zscore(BTN2Icentrality_degreeout_at, deg_out.at_c2)
zscore
net.metric.pvalue <- 2*pnorm(-abs(zscore))
net.metric.pvalue # 
#

deg_out_nullmodel_l_n2_G<-lapply(deg_out_nullmodel_l_n2, function(x) x[4,2]) #G

deg_out.g_c2<-as.data.frame(unlist(deg_out_nullmodel_l_n2_G))
deg_out.g_c2<-as.numeric(unlist(deg_out.g_c2)) #

#praw_g.c1<-(sum(abs(deg_out.g_c1) >= abs(BTN1centrality_degreeout_g)) + 1) / (length(deg_out.g_c1) + 1) #p  0.46
#praw_g.c1

zscore<-net.zscore(BTN2Icentrality_degreeout_g, deg_out.g_c2)
zscore
net.metric.pvalue <- 2*pnorm(-abs(zscore))
net.metric.pvalue # 
#

deg_out_nullmodel_l_n2_BG<-lapply(deg_out_nullmodel_l_n2, function(x) x[5,2]) #BG

deg_out.bg_c2<-as.data.frame(unlist(deg_out_nullmodel_l_n2_BG))
deg_out.bg_c2<-as.numeric(unlist(deg_out.bg_c2)) #

#praw_bg.c1<-(sum(abs(deg_out.bg_c1) >= abs(BTN1centrality_degreeout_bg)) + 1) / (length(deg_out.bg_c1) + 1) #p  0.28
#praw_bg.c1

zscore<-net.zscore(BTN2Icentrality_degreeout_bg, deg_out.bg_c2)
zscore
net.metric.pvalue <- 2*pnorm(-abs(zscore))
net.metric.pvalue # 
#

deg_out_nullmodel_l_n2_BC<-lapply(deg_out_nullmodel_l_n2, function(x) x[6,2]) #BC

deg_out.bc_c2<-as.data.frame(unlist(deg_out_nullmodel_l_n2_BC))
deg_out.bc_c2<-as.numeric(unlist(deg_out.bc_c2)) #

#praw_bc.c1<-(sum(abs(deg_out.bc_c1) >= abs(BTN1centrality_degreeout_bc)) + 1) / (length(deg_out.bc_c1) + 1) #p  0.08
#praw_bc.c1

zscore<-net.zscore(BTN2Icentrality_degreeout_bc, deg_out.bc_c2)
zscore
net.metric.pvalue <- 2*pnorm(-abs(zscore))
net.metric.pvalue # 
#

deg_out_nullmodel_l_n2_CB<-lapply(deg_out_nullmodel_l_n2, function(x) x[7,2]) #CB

deg_out.cb_c2<-as.data.frame(unlist(deg_out_nullmodel_l_n2_CB))
deg_out.cb_c2<-as.numeric(unlist(deg_out.bc_c2)) #

#praw_cb.c1<-(sum(abs(deg_out.cb_c1) >= abs(BTN1centrality_degreeout_cb)) + 1) / (length(deg_out.cb_c1) + 1) #p  0.88
#praw_cb.c1

zscore<-net.zscore(BTN2Icentrality_degreeout_cb, deg_out.cb_c2)
zscore
net.metric.pvalue <- 2*pnorm(-abs(zscore))
net.metric.pvalue # 
#

deg_out_nullmodel_l_n2_CD<-lapply(deg_out_nullmodel_l_n2, function(x) x[8,2]) #CD

deg_out.cd_c2<-as.data.frame(unlist(deg_out_nullmodel_l_n2_CD))
deg_out.cd_c2<-as.numeric(unlist(deg_out.cd_c2)) #

#praw_cd.c1<-(sum(abs(deg_out.cd_c1) >= abs(BTN1centrality_degreeout_cd)) + 1) / (length(deg_out.cd_c1) + 1) #p  0.07
#praw_cd.c1

zscore<-net.zscore(BTN2Icentrality_degreeout_cd,  deg_out.cd_c2)
zscore
net.metric.pvalue <- 2*pnorm(-abs(zscore))
net.metric.pvalue # 
#

deg_out_nullmodel_l_n2_FP<-lapply(deg_out_nullmodel_l_n2, function(x) x[9,2]) #FP

deg_out.fp_c2<-as.data.frame(unlist(deg_out_nullmodel_l_n2_FP))
deg_out.fp_c2<-as.numeric(unlist(deg_out.fp_c21)) #

#praw_fp.c1<-(sum(abs(deg_out.fp_c1) >= abs(BTN1centrality_degreeout_fp)) + 1) / (length(deg_out.fp_c1) + 1) #p  0.058
#praw_fp.c1
#

zscore<-net.zscore(BTN2Icentrality_degreeout_fp, deg_out.fp_c2)
zscore
net.metric.pvalue <- 2*pnorm(-abs(zscore))
net.metric.pvalue # 
#
######################################################################################

#colony 2 #weights null model 1 in-degree
Nperm=1000
null.model_l_in_n2 <- lapply(seq_len(Nperm), function(x){  
  randomnet <- rg_reshuffling_w(BTNC2Itotaligs_b_tnet, option="links") 
})

deg_in_links <- function(x){
  degree_w(x,measure=c("output"), type="in", alpha=0.5)
}

deg_in_nullmodel_l_n2<-lapply(null.model_l_in_n2, deg_in_weights)

#####node degree in #weights null model 1

deg_in_nullmodel_w_n2_WL<-lapply(deg_in_nullmodel_w_n2, function(x) x[1,2]) #WL

deg_in.wl_c2<-as.data.frame(unlist(deg_in_nullmodel_w_n2_WL))
deg_in.wl_c2<-as.numeric(unlist(deg_in.wl_c2)) #

#praw_wl.c1<-(sum(abs(deg_in.wl_c1) >= abs(BTN1centrality_degreein_wl)) + 1) / (length(deg_in.wl_c1) + 1) #p 0.06
#praw_wl.c1

zscore<-net.zscore(BTN2Icentrality_degreein_wl, deg_in.wl_c2)
zscore
net.metric.pvalue <- 2*pnorm(-abs(zscore))
net.metric.pvalue # 

#
deg_in_nullmodel_l_n2_SG<-lapply(deg_in_nullmodel_l_n2, function(x) x[2,2]) #SG

deg_in.sg_c2<-as.data.frame(unlist(deg_in_nullmodel_l_n2_SG))
deg_in.sg_c2<-as.numeric(unlist(deg_in.sg_c2)) #

#praw_sg.c1<-(sum(abs(deg_in.sg_c1) >= abs(BTN1centrality_degreein_sg)) + 1) / (length(deg_in.sg_c1) + 1) #p 0.08
#praw_sg.c1

zscore<-net.zscore(BTN2Icentrality_degreein_sg, deg_in.sg_c2)
zscore
net.metric.pvalue <- 2*pnorm(-abs(zscore))
net.metric.pvalue # 

#
deg_in_nullmodel_l_n2_AT<-lapply(deg_in_nullmodel_l_n2, function(x) x[3,2]) #AT

deg_in.at_c2<-as.data.frame(unlist(deg_in_nullmodel_l_n2_AT))
deg_in.at_c2<-as.numeric(unlist(deg_in.at_c2)) #

#praw_at.c1<-(sum(abs(deg_in.at_c1) >= abs(BTN1centrality_degreein_at)) + 1) / (length(deg_in.at_c1) + 1) #p 0.96
#praw_at.c1

zscore<-net.zscore(BTN2Icentrality_degreein_at, deg_in.at_c2)
zscore
net.metric.pvalue <- 2*pnorm(-abs(zscore))
net.metric.pvalue # 

#
deg_in_nullmodel_l_n2_G<-lapply(deg_in_nullmodel_l_n2, function(x) x[4,2]) #G

deg_in.g_c2<-as.data.frame(unlist(deg_in_nullmodel_w_n2_G))
deg_in.g_c2<-as.numeric(unlist(deg_in.g_c2)) #

#praw_g.c1<-(sum(abs(deg_in.g_c1) >= abs(BTN1centrality_degreein_g)) + 1) / (length(deg_in.g_c1) + 1) #p 0.39
#praw_g.c1

zscore<-net.zscore(BTN2Icentrality_degreein_g, deg_in.g_c2)
zscore
net.metric.pvalue <- 2*pnorm(-abs(zscore))
net.metric.pvalue # 

#
deg_in_nullmodel_l_n2_BG<-lapply(deg_in_nullmodel_l_n2, function(x) x[5,2]) #BG

deg_in.bg_c2<-as.data.frame(unlist(deg_in_nullmodel_w_n2_BG))
deg_in.bg_c2<-as.numeric(unlist(deg_in.bg_c2)) #

#praw_bg.c1<-(sum(abs(deg_in.bg_c1) >= abs(BTN1centrality_degreein_bg)) + 1) / (length(deg_in.bg_c1) + 1) #p 0.68
#praw_bg.c1

zscore<-net.zscore(BTN2Icentrality_degreein_bg, deg_in.bg_c2)
zscore
net.metric.pvalue <- 2*pnorm(-abs(zscore))
net.metric.pvalue # 

#
deg_in_nullmodel_l_n2_BC<-lapply(deg_in_nullmodel_l_n2, function(x) x[6,2]) #BC

deg_in.bc_c2<-as.data.frame(unlist(deg_in_nullmodel_l_n2_BC))
deg_in.bc_c2<-as.numeric(unlist(deg_in.bc_c2)) #

#praw_bc.c1<-(sum(abs(deg_in.bc_c1) >= abs(BTN1centrality_degreein_bc)) + 1) / (length(deg_in.bc_c1) + 1) #p 0.38
#praw_bc.c1

zscore<-net.zscore(BTN2Icentrality_degreein_bc, deg_in.bc_c2)
zscore
net.metric.pvalue <- 2*pnorm(-abs(zscore))
net.metric.pvalue # 

#
deg_in_nullmodel_l_n2_CB<-lapply(deg_in_nullmodel_l_n2, function(x) x[7,2]) #CB

deg_in.cb_c2<-as.data.frame(unlist(deg_in_nullmodel_l_n2_CB))
deg_in.cb_c2<-as.numeric(unlist(deg_in.cb_c2)) #

#praw_cb.c1<-(sum(abs(deg_in.cb_c1) >= abs(BTN1centrality_degreein_cb)) + 1) / (length(deg_in.cb_c1) + 1) #p 0.77
#praw_cb.c1

zscore<-net.zscore(BTN2Icentrality_degreein_cb, deg_in.cb_c2)
zscore
net.metric.pvalue <- 2*pnorm(-abs(zscore))
net.metric.pvalue #

#
deg_in_nullmodel_l_n2_CD<-lapply(deg_in_nullmodel_l_n2, function(x) x[8,2]) #CD

deg_in.cd_c2<-as.data.frame(unlist(deg_in_nullmodel_w_n2_CD))
deg_in.cd_c2<-as.numeric(unlist(deg_in.cd_c2)) #

#praw_cd.c1<-(sum(abs(deg_in.cd_c1) >= abs(BTN1centrality_degreein_cd)) + 1) / (length(deg_in.cd_c1) + 1) #p 0.88
#praw_cd.c1

zscore<-net.zscore(BTN2Icentrality_degreein_cd, deg_in.cd_c2)
zscore
net.metric.pvalue <- 2*pnorm(-abs(zscore))
net.metric.pvalue #

#
deg_in_nullmodel_l_n2_FP<-lapply(deg_in_nullmodel_l_n2, function(x) x[9,2]) #FP

deg_in.fp_c2<-as.data.frame(unlist(deg_in_nullmodel_l_n2_FP))
deg_in.fp_c2<-as.numeric(unlist(deg_in.fp_c2)) #

#praw_fp.c1<-(sum(abs(deg_in.fp_c1) >= abs(BTN1centrality_degreein_fp)) + 1) / (length(deg_in.fp_c1) + 1) #p 0.88
#praw_fp.c1

zscore<-net.zscore(BTN2Icentrality_degreein_fp, deg_in.fp_c2)
zscore
net.metric.pvalue <- 2*pnorm(-abs(zscore))
net.metric.pvalue #



