#colony 1 #weights null model 1 out-degree
Nperm=1000
null.model_w_out_n1 <- lapply(seq_len(Nperm), function(x){  
  randomnet <- rg_reshuffling_w(BTNC1Itotaligs_b_tnet, option="weights") 
})

deg_out_weights <- function(x){
  degree_w(x,measure=c("output"), type="out", alpha=0.5)
}

deg_out_nullmodel_w_n1<-lapply(null.model_w_out_n1, deg_out_weights)

#colony 1
#####node degree out #weights null model 1

deg_out_nullmodel_w_n1_WL<-lapply(deg_out_nullmodel_w_n1, function(x) x[1,2]) #WL

deg_out.wl_c1<-as.data.frame(unlist(deg_out_nullmodel_w_n1_WL))
deg_out.wl_c1<-as.numeric(unlist(deg_out.wl_c1)) #

#praw_wl.c1<-(sum(abs(deg_out.wl_c1) >= abs(BTN1centrality_degreeout_wl)) + 1) / (length(deg_out.wl_c1) + 1) #p 1
#praw_wl.c1
#

zscore<-net.zscore(BTN1Icentrality_degreeout_wl, deg_out.wl_c1)
zscore
net.metric.pvalue <- 2*pnorm(-abs(zscore))
net.metric.pvalue # 
#

deg_out_nullmodel_w_n1_SG<-lapply(deg_out_nullmodel_w_n1, function(x) x[2,2]) #SG

deg_out.sg_c1<-as.data.frame(unlist(deg_out_nullmodel_w_n1_SG))
deg_out.sg_c1<-as.numeric(unlist(deg_out.sg_c1)) #

#praw_sg.c1<-(sum(abs(deg_out.sg_c1) >= abs(BTN1centrality_degreeout_sg)) + 1) / (length(deg_out.sg_c1) + 1) #p 0.99
#praw_sg.c1

zscore<-net.zscore(BTN1Icentrality_degreeout_sg, deg_out.sg_c1)
zscore
net.metric.pvalue <- 2*pnorm(-abs(zscore))
net.metric.pvalue # 
#

deg_out_nullmodel_w_n1_AT<-lapply(deg_out_nullmodel_w_n1, function(x) x[3,2]) #AT

deg_out.at_c1<-as.data.frame(unlist(deg_out_nullmodel_w_n1_AT))
deg_out.at_c1<-as.numeric(unlist(deg_out.at_c1)) #

#praw_at.c1<-(sum(abs(deg_out.at_c1) >= abs(BTN1centrality_degreeout_at)) + 1) / (length(deg_out.at_c1) + 1) #p  0.64
#praw_at.c1

zscore<-net.zscore(BTN1Icentrality_degreeout_at, deg_out.at_c1)
zscore
net.metric.pvalue <- 2*pnorm(-abs(zscore))
net.metric.pvalue # 
#

deg_out_nullmodel_w_n1_G<-lapply(deg_out_nullmodel_w_n1, function(x) x[4,2]) #G

deg_out.g_c1<-as.data.frame(unlist(deg_out_nullmodel_w_n1_G))
deg_out.g_c1<-as.numeric(unlist(deg_out.g_c1)) #

#praw_g.c1<-(sum(abs(deg_out.g_c1) >= abs(BTN1centrality_degreeout_g)) + 1) / (length(deg_out.g_c1) + 1) #p  0.46
#praw_g.c1

zscore<-net.zscore(BTN1Icentrality_degreeout_g, deg_out.g_c1)
zscore
net.metric.pvalue <- 2*pnorm(-abs(zscore))
net.metric.pvalue # 
#

deg_out_nullmodel_w_n1_BG<-lapply(deg_out_nullmodel_w_n1, function(x) x[5,2]) #BG

deg_out.bg_c1<-as.data.frame(unlist(deg_out_nullmodel_w_n1_BG))
deg_out.bg_c1<-as.numeric(unlist(deg_out.bg_c1)) #

#praw_bg.c1<-(sum(abs(deg_out.bg_c1) >= abs(BTN1centrality_degreeout_bg)) + 1) / (length(deg_out.bg_c1) + 1) #p  0.28
#praw_bg.c1

zscore<-net.zscore(BTN1Icentrality_degreeout_bg, deg_out.bg_c1)
zscore
net.metric.pvalue <- 2*pnorm(-abs(zscore))
net.metric.pvalue # 
#

deg_out_nullmodel_w_n1_BC<-lapply(deg_out_nullmodel_w_n1, function(x) x[6,2]) #BC

deg_out.bc_c1<-as.data.frame(unlist(deg_out_nullmodel_w_n1_BC))
deg_out.bc_c1<-as.numeric(unlist(deg_out.bc_c1)) #

#praw_bc.c1<-(sum(abs(deg_out.bc_c1) >= abs(BTN1centrality_degreeout_bc)) + 1) / (length(deg_out.bc_c1) + 1) #p  0.08
#praw_bc.c1

zscore<-net.zscore(BTN1Icentrality_degreeout_bc, deg_out.bc_c1)
zscore
net.metric.pvalue <- 2*pnorm(-abs(zscore))
net.metric.pvalue # 
#

deg_out_nullmodel_w_n1_CD<-lapply(deg_out_nullmodel_w_n1, function(x) x[7,2]) #CD

deg_out.cd_c1<-as.data.frame(unlist(deg_out_nullmodel_w_n1_CD))
deg_out.cd_c1<-as.numeric(unlist(deg_out.cd_c1)) #

#praw_cb.c1<-(sum(abs(deg_out.cb_c1) >= abs(BTN1centrality_degreeout_cb)) + 1) / (length(deg_out.cb_c1) + 1) #p  0.88
#praw_cb.c1

zscore<-net.zscore(BTN1Icentrality_degreeout_cd, deg_out.cd_c1)
zscore
net.metric.pvalue <- 2*pnorm(-abs(zscore))
net.metric.pvalue # 
#

deg_out_nullmodel_w_n1_FP<-lapply(deg_out_nullmodel_w_n1, function(x) x[8,2]) #FP

deg_out.fp_c1<-as.data.frame(unlist(deg_out_nullmodel_w_n1_FP))
deg_out.fp_c1<-as.numeric(unlist(deg_out.cd_c1)) #

zscore<-net.zscore(BTN1Icentrality_degreeout_fp,  deg_out.fp_c1)
zscore
net.metric.pvalue <- 2*pnorm(-abs(zscore))
net.metric.pvalue # 
#

deg_out_nullmodel_w_n1_CF<-lapply(deg_out_nullmodel_w_n1, function(x) x[9,2]) #CF

deg_out.cf_c1<-as.data.frame(unlist(deg_out_nullmodel_w_n1_CF))
deg_out.cf_c1<-as.numeric(unlist(deg_out.cf_c1)) #

zscore<-net.zscore(BTN1Icentrality_degreeout_cf, deg_out.cf_c1)
zscore
net.metric.pvalue <- 2*pnorm(-abs(zscore))
net.metric.pvalue # 
#

deg_out_nullmodel_w_n1_CF<-lapply(deg_out_nullmodel_w_n1, function(x) x[10,2]) #CF

deg_out.cf_c1<-as.data.frame(unlist(deg_out_nullmodel_w_n1_CF))
deg_out.cf_c1<-as.numeric(unlist(deg_out.cf_c1)) #

#praw_cf.c1<-(sum(abs(deg_out.cf_c1) >= abs(BTN1centrality_degreeout_cf)) + 1) / (length(deg_out.cf_c1) + 1) #p  0.01
#praw_cf.c1

zscore<-net.zscore(BTN1Icentrality_degreeout_cf, deg_out.cf_c1)
zscore
net.metric.pvalue <- 2*pnorm(-abs(zscore))
net.metric.pvalue # 
#

deg_out_nullmodel_w_n1_FD<-lapply(deg_out_nullmodel_w_n1, function(x) x[11,2]) #FD

deg_out.fd_c1<-as.data.frame(unlist(deg_out_nullmodel_w_n1_FD))
deg_out.fd_c1<-as.numeric(unlist(deg_out.fd_c1)) #

#praw_fd.c1<-(sum(abs(deg_out.fd_c1) >= abs(BTN1centrality_degreeout_fd)) + 1) / (length(deg_out.fd_c1) + 1) #p  0.000999001
#praw_fd.c1

zscore<-net.zscore(BTN1Icentrality_degreeout_fd, deg_out.fd_c1)
zscore
net.metric.pvalue <- 2*pnorm(-abs(zscore))
net.metric.pvalue # 
#
######################################################################################

#colony 1 #weights null model 1 in-degree
Nperm=1000
null.model_w_in_n1 <- lapply(seq_len(Nperm), function(x){  
  randomnet <- rg_reshuffling_w(BTNC1Itotaligs_b_tnet, option="weights") 
})

deg_in_weights <- function(x){
  degree_w(x,measure=c("output"), type="in", alpha=0.5)
}

deg_in_nullmodel_w_n1<-lapply(null.model_w_in_n1, deg_in_weights)

#####node degree in #weights null model 1

deg_in_nullmodel_w_n1_WL<-lapply(deg_in_nullmodel_w_n1, function(x) x[1,2]) #WL

deg_in.wl_c1<-as.data.frame(unlist(deg_in_nullmodel_w_n1_WL))
deg_in.wl_c1<-as.numeric(unlist(deg_in.wl_c1)) #

zscore<-net.zscore(BTN1Icentrality_degreein_wl, deg_in.wl_c1)
zscore
net.metric.pvalue <- 2*pnorm(-abs(zscore))
net.metric.pvalue # 

#
deg_in_nullmodel_w_n1_SG<-lapply(deg_in_nullmodel_w_n1, function(x) x[2,2]) #SG

deg_in.sg_c1<-as.data.frame(unlist(deg_in_nullmodel_w_n1_SG))
deg_in.sg_c1<-as.numeric(unlist(deg_in.sg_c1)) #

zscore<-net.zscore(BTN1Icentrality_degreein_sg, deg_in.sg_c1)
zscore
net.metric.pvalue <- 2*pnorm(-abs(zscore))
net.metric.pvalue # 

#
deg_in_nullmodel_w_n1_AT<-lapply(deg_in_nullmodel_w_n1, function(x) x[3,2]) #AT

deg_in.at_c1<-as.data.frame(unlist(deg_in_nullmodel_w_n1_AT))
deg_in.at_c1<-as.numeric(unlist(deg_in.at_c1)) #

zscore<-net.zscore(BTN1Icentrality_degreein_at, deg_in.at_c1)
zscore
net.metric.pvalue <- 2*pnorm(-abs(zscore))
net.metric.pvalue # 

#
deg_in_nullmodel_w_n1_G<-lapply(deg_in_nullmodel_w_n1, function(x) x[4,2]) #G

deg_in.g_c1<-as.data.frame(unlist(deg_in_nullmodel_w_n1_G))
deg_in.g_c1<-as.numeric(unlist(deg_in.g_c1)) #

zscore<-net.zscore(BTN1Icentrality_degreein_g, deg_in.g_c1)
zscore
net.metric.pvalue <- 2*pnorm(-abs(zscore))
net.metric.pvalue # 

#
deg_in_nullmodel_w_n1_BG<-lapply(deg_in_nullmodel_w_n1, function(x) x[5,2]) #BG

deg_in.bg_c1<-as.data.frame(unlist(deg_in_nullmodel_w_n1_BG))
deg_in.bg_c1<-as.numeric(unlist(deg_in.bg_c1)) #

zscore<-net.zscore(BTN1Icentrality_degreein_bg, deg_in.bg_c1)
zscore
net.metric.pvalue <- 2*pnorm(-abs(zscore))
net.metric.pvalue # 

#
deg_in_nullmodel_w_n1_BC<-lapply(deg_in_nullmodel_w_n1, function(x) x[6,2]) #BC

deg_in.bc_c1<-as.data.frame(unlist(deg_in_nullmodel_w_n1_BC))
deg_in.bc_c1<-as.numeric(unlist(deg_in.bc_c1)) #

zscore<-net.zscore(BTN1Icentrality_degreein_bc, deg_in.bc_c1)
zscore
net.metric.pvalue <- 2*pnorm(-abs(zscore))
net.metric.pvalue # 

#
deg_in_nullmodel_w_n1_CB<-lapply(deg_in_nullmodel_w_n1, function(x) x[7,2]) #CB

deg_in.cb_c1<-as.data.frame(unlist(deg_in_nullmodel_w_n1_CB))
deg_in.cb_c1<-as.numeric(unlist(deg_in.cb_c1)) #

zscore<-net.zscore(BTN1Icentrality_degreein_cb, deg_in.cb_c1)
zscore
net.metric.pvalue <- 2*pnorm(-abs(zscore))
net.metric.pvalue #

#
deg_in_nullmodel_w_n1_CD<-lapply(deg_in_nullmodel_w_n1, function(x) x[8,2]) #CD

deg_in.cd_c1<-as.data.frame(unlist(deg_in_nullmodel_w_n1_CD))
deg_in.cd_c1<-as.numeric(unlist(deg_in.cd_c1)) #

#praw_cd.c1<-(sum(abs(deg_in.cd_c1) >= abs(BTN1centrality_degreein_cd)) + 1) / (length(deg_in.cd_c1) + 1) #p 0.88
#praw_cd.c1

zscore<-net.zscore(BTN1Icentrality_degreein_cd, deg_in.cd_c1)
zscore
net.metric.pvalue <- 2*pnorm(-abs(zscore))
net.metric.pvalue #

#
deg_in_nullmodel_w_n1_FP<-lapply(deg_in_nullmodel_w_n1, function(x) x[9,2]) #FP

deg_in.fp_c1<-as.data.frame(unlist(deg_in_nullmodel_w_n1_FP))
deg_in.fp_c1<-as.numeric(unlist(deg_in.fp_c1)) #

#praw_fp.c1<-(sum(abs(deg_in.fp_c1) >= abs(BTN1centrality_degreein_fp)) + 1) / (length(deg_in.fp_c1) + 1) #p 0.88
#praw_fp.c1

zscore<-net.zscore(BTN1Icentrality_degreein_fp, deg_in.fp_c1)
zscore
net.metric.pvalue <- 2*pnorm(-abs(zscore))
net.metric.pvalue #

#
deg_in_nullmodel_w_n1_CF<-lapply(deg_in_nullmodel_w_n1, function(x) x[10,2]) #CF

deg_in.cf_c1<-as.data.frame(unlist(deg_in_nullmodel_w_n1_CF))
deg_in.cf_c1<-as.numeric(unlist(deg_in.cf_c1)) #

zscore<-net.zscore(BTN1Icentrality_degreein_cf, deg_in.cf_c1)
zscore
net.metric.pvalue <- 2*pnorm(-abs(zscore))
net.metric.pvalue #

#
deg_in_nullmodel_w_n1_CD<-lapply(deg_in_nullmodel_w_n1, function(x) x[11,2]) #CD

deg_in.cd_c1<-as.data.frame(unlist(deg_in_nullmodel_w_n1_CD))
deg_in.cd_c1<-as.numeric(unlist(deg_in.cd_c1)) #

#praw_fd.c1<-(sum(abs(deg_in.fd_c1) >= abs(BTN1centrality_degreein_fd)) + 1) / (length(deg_in.fd_c1) + 1) #p 0.53
#praw_fd.c1

zscore<-net.zscore(BTN1Icentrality_degreein_cd, deg_in.cd_c1)
zscore
net.metric.pvalue <- 2*pnorm(-abs(zscore))
net.metric.pvalue #

#########################################################################################

#colony 1 #links null model 2 out-degree
Nperm=1000
null.model_l_out_n1 <- lapply(seq_len(Nperm), function(x){  
  randomnet <- rg_reshuffling_w(BTNC1Itotaligs_b_tnet, option="links") 
})

deg_out_links <- function(x){
  degree_w(x,measure=c("output"), type="out", alpha=0.5)
}

deg_out_nullmodel_l_n1<-lapply(null.model_l_out_n1, deg_out_links)

#colony 1
#####node degree out #links null model 1

deg_out_nullmodel_l_n1_WL<-lapply(deg_out_nullmodel_l_n1, function(x) x[1,2]) #WL

deg_out.wl_c1<-as.data.frame(unlist(deg_out_nullmodel_l_n1_WL))
deg_out.wl_c1<-as.numeric(unlist(deg_out.wl_c1)) #

zscore<-net.zscore(BTN1Icentrality_degreeout_wl, deg_out.wl_c1)
zscore
net.metric.pvalue <- 2*pnorm(-abs(zscore))
net.metric.pvalue # 
#

deg_out_nullmodel_l_n1_SG<-lapply(deg_out_nullmodel_l_n1, function(x) x[2,2]) #SG

deg_out.sg_c1<-as.data.frame(unlist(deg_out_nullmodel_l_n1_SG))
deg_out.sg_c1<-as.numeric(unlist(deg_out.sg_c1)) #

zscore<-net.zscore(BTN1Icentrality_degreeout_sg, deg_out.sg_c1)
zscore
net.metric.pvalue <- 2*pnorm(-abs(zscore))
net.metric.pvalue # 

#

deg_out_nullmodel_l_n1_AT<-lapply(deg_out_nullmodel_l_n1, function(x) x[3,2]) #AT

deg_out.at_c1<-as.data.frame(unlist(deg_out_nullmodel_l_n1_AT))
deg_out.at_c1<-as.numeric(unlist(deg_out.at_c1)) #

#praw_at.c1<-(sum(abs(deg_out.at_c1) >= abs(BTN1centrality_degreeout_at)) + 1) / (length(deg_out.at_c1) + 1) #p  0.64
#praw_at.c1

zscore<-net.zscore(BTN1Icentrality_degreeout_at, deg_out.at_c1)
zscore
net.metric.pvalue <- 2*pnorm(-abs(zscore))
net.metric.pvalue # 
#

deg_out_nullmodel_l_n1_G<-lapply(deg_out_nullmodel_l_n1, function(x) x[4,2]) #G

deg_out.g_c1<-as.data.frame(unlist(deg_out_nullmodel_l_n1_G))
deg_out.g_c1<-as.numeric(unlist(deg_out.g_c1)) #

zscore<-net.zscore(BTN1Icentrality_degreeout_g, deg_out.g_c1)
zscore
net.metric.pvalue <- 2*pnorm(-abs(zscore))
net.metric.pvalue # 
#

deg_out_nullmodel_l_n1_BG<-lapply(deg_out_nullmodel_l_n1, function(x) x[5,2]) #BG

deg_out.bg_c1<-as.data.frame(unlist(deg_out_nullmodel_l_n1_BG))
deg_out.bg_c1<-as.numeric(unlist(deg_out.bg_c1)) #

#praw_bg.c1<-(sum(abs(deg_out.bg_c1) >= abs(BTN1centrality_degreeout_bg)) + 1) / (length(deg_out.bg_c1) + 1) #p  0.28
#praw_bg.c1

zscore<-net.zscore(BTN1Icentrality_degreeout_bg, deg_out.bg_c1)
zscore
net.metric.pvalue <- 2*pnorm(-abs(zscore))
net.metric.pvalue
#

deg_out_nullmodel_l_n1_BC<-lapply(deg_out_nullmodel_l_n1, function(x) x[6,2]) #BC

deg_out.bc_c1<-as.data.frame(unlist(deg_out_nullmodel_l_n1_BC))
deg_out.bc_c1<-as.numeric(unlist(deg_out.bc_c1)) #

#praw_bc.c1<-(sum(abs(deg_out.bc_c1) >= abs(BTN1centrality_degreeout_bc)) + 1) / (length(deg_out.bc_c1) + 1) #p  0.08
#praw_bc.c1

zscore<-net.zscore(BTN1Icentrality_degreeout_bc, deg_out.bc_c1)
zscore
net.metric.pvalue <- 2*pnorm(-abs(zscore))
net.metric.pvalue
#

deg_out_nullmodel_l_n1_CB<-lapply(deg_out_nullmodel_l_n1, function(x) x[7,2]) #CB

deg_out.cb_c1<-as.data.frame(unlist(deg_out_nullmodel_l_n1_CB))
deg_out.cb_c1<-as.numeric(unlist(deg_out.bc_c1)) #

#praw_cb.c1<-(sum(abs(deg_out.cb_c1) >= abs(BTN1centrality_degreeout_cb)) + 1) / (length(deg_out.cb_c1) + 1) #p  0.88
#praw_cb.c1

zscore<-net.zscore(BTN1Icentrality_degreeout_cb, deg_out.cb_c1)
zscore
net.metric.pvalue <- 2*pnorm(-abs(zscore))
net.metric.pvalue
#

deg_out_nullmodel_w_n1_CD<-lapply(deg_out_nullmodel_l_n1, function(x) x[8,2]) #CD

deg_out.cd_c1<-as.data.frame(unlist(deg_out_nullmodel_l_n1_CD))
deg_out.cd_c1<-as.numeric(unlist(deg_out.cd_c1)) #

#praw_cd.c1<-(sum(abs(deg_out.cd_c1) >= abs(BTN1centrality_degreeout_cd)) + 1) / (length(deg_out.cd_c1) + 1) #p  0.07
#praw_cd.c1

zscore<-net.zscore(BTN1Icentrality_degreeout_cd, deg_out.cd_c1)
zscore
net.metric.pvalue <- 2*pnorm(-abs(zscore))
net.metric.pvalue
#

deg_out_nullmodel_l_n1_FP<-lapply(deg_out_nullmodel_l_n1, function(x) x[9,2]) #FP

deg_out.fp_c1<-as.data.frame(unlist(deg_out_nullmodel_l_n1_FP))
deg_out.fp_c1<-as.numeric(unlist(deg_out.fp_c1)) #

#praw_fp.c1<-(sum(abs(deg_out.fp_c1) >= abs(BTN1centrality_degreeout_fp)) + 1) / (length(deg_out.fp_c1) + 1) #p  0.058
#praw_fp.c1

zscore<-net.zscore(BTN1Icentrality_degreeout_fp, deg_out.fp_c1)
zscore
net.metric.pvalue <- 2*pnorm(-abs(zscore))
net.metric.pvalue
#

deg_out_nullmodel_l_n1_CF<-lapply(deg_out_nullmodel_l_n1, function(x) x[10,2]) #CF

deg_out.cf_c1<-as.data.frame(unlist(deg_out_nullmodel_l_n1_CF))
deg_out.cf_c1<-as.numeric(unlist(deg_out.cf_c1)) #

#praw_cf.c1<-(sum(abs(deg_out.cf_c1) >= abs(BTN1centrality_degreeout_cf)) + 1) / (length(deg_out.cf_c1) + 1) #p  0.01
#praw_cf.c1

zscore<-net.zscore(BTN1Icentrality_degreeout_cf, deg_out.cf_c1)
zscore
net.metric.pvalue <- 2*pnorm(-abs(zscore))
net.metric.pvalue
#

deg_out_nullmodel_l_n1_FD<-lapply(deg_out_nullmodel_l_n1, function(x) x[11,2]) #FD

deg_out.fd_c1<-as.data.frame(unlist(deg_out_nullmodel_l_n1_FD))
deg_out.fd_c1<-as.numeric(unlist(deg_out.fd_c1)) #

#praw_fd.c1<-(sum(abs(deg_out.fd_c1) >= abs(BTN1centrality_degreeout_fd)) + 1) / (length(deg_out.fd_c1) + 1) #p  0.000999001
#praw_fd.c1

zscore<-net.zscore(BTN1Icentrality_degreeout_fd, deg_out.fd_c1)
zscore
net.metric.pvalue <- 2*pnorm(-abs(zscore))
net.metric.pvalue
#
######################################################################################

#colony 1 #weights null model 2 in-degree
Nperm=1000
null.model_l_in_n1 <- lapply(seq_len(Nperm), function(x){  
  randomnet <- rg_reshuffling_w(BTNC1Itotaligs_b_tnet, option="links") 
})

deg_in_weights <- function(x){
  degree_w(x,measure=c("output"), type="in", alpha=0.5)
}

deg_in_nullmodel_l_n1<-lapply(null.model_l_in_n1, deg_in_weights)

#####node degree in #weights null model 1

deg_in_nullmodel_l_n1_WL<-lapply(deg_in_nullmodel_l_n1, function(x) x[1,2]) #WL

deg_in.wl_c1<-as.data.frame(unlist(deg_in_nullmodel_l_n1_WL))
deg_in.wl_c1<-as.numeric(unlist(deg_in.wl_c1)) #

zscore<-net.zscore(BTN1Icentrality_degreein_wl, deg_in.wl_c1)
zscore
net.metric.pvalue <- 2*pnorm(-abs(zscore))
net.metric.pvalue # 


#
deg_in_nullmodel_l_n1_SG<-lapply(deg_in_nullmodel_l_n1, function(x) x[2,2]) #SG

deg_in.sg_c1<-as.data.frame(unlist(deg_in_nullmodel_l_n1_SG))
deg_in.sg_c1<-as.numeric(unlist(deg_in.sg_c1)) #

#praw_sg.c1<-(sum(abs(deg_in.sg_c1) >= abs(BTN1centrality_degreein_sg)) + 1) / (length(deg_in.sg_c1) + 1) #p 0.08
#praw_sg.c1

zscore<-net.zscore(BTN1Icentrality_degreein_sg, deg_in.sg_c1)
zscore
net.metric.pvalue <- 2*pnorm(-abs(zscore))
net.metric.pvalue # 

#
deg_in_nullmodel_l_n1_AT<-lapply(deg_in_nullmodel_l_n1, function(x) x[3,2]) #AT

deg_in.at_c1<-as.data.frame(unlist(deg_in_nullmodel_l_n1_AT))
deg_in.at_c1<-as.numeric(unlist(deg_in.at_c1)) #

#praw_at.c1<-(sum(abs(deg_in.at_c1) >= abs(BTN1centrality_degreein_at)) + 1) / (length(deg_in.at_c1) + 1) #p 0.96
#praw_at.c1

zscore<-net.zscore(BTN1Icentrality_degreein_at, deg_in.at_c1)
zscore
net.metric.pvalue <- 2*pnorm(-abs(zscore))
net.metric.pvalue # 

#
deg_in_nullmodel_l_n1_G<-lapply(deg_in_nullmodel_l_n1, function(x) x[4,2]) #G

deg_in.g_c1<-as.data.frame(unlist(deg_in_nullmodel_l_n1_G))
deg_in.g_c1<-as.numeric(unlist(deg_in.g_c1)) #

#praw_g.c1<-(sum(abs(deg_in.g_c1) >= abs(BTN1centrality_degreein_g)) + 1) / (length(deg_in.g_c1) + 1) #p 0.39
#praw_g.c1

zscore<-net.zscore(BTN1Icentrality_degreein_g, deg_in.g_c1)
zscore
net.metric.pvalue <- 2*pnorm(-abs(zscore))
net.metric.pvalue # 
#

deg_in_nullmodel_l_n1_BG<-lapply(deg_in_nullmodel_l_n1, function(x) x[5,2]) #BG

deg_in.bg_c1<-as.data.frame(unlist(deg_in_nullmodel_l_n1_BG))
deg_in.bg_c1<-as.numeric(unlist(deg_in.bg_c1)) #

#praw_bg.c1<-(sum(abs(deg_in.bg_c1) >= abs(BTN1centrality_degreein_bg)) + 1) / (length(deg_in.bg_c1) + 1) #p 0.68
#praw_bg.c1

zscore<-net.zscore(BTN1Icentrality_degreein_bg, deg_in.bg_c1)
zscore
net.metric.pvalue <- 2*pnorm(-abs(zscore))
net.metric.pvalue # 

#
deg_in_nullmodel_l_n1_BC<-lapply(deg_in_nullmodel_l_n1, function(x) x[6,2]) #BC

deg_in.bc_c1<-as.data.frame(unlist(deg_in_nullmodel_l_n1_BC))
deg_in.bc_c1<-as.numeric(unlist(deg_in.bc_c1)) #

#praw_bc.c1<-(sum(abs(deg_in.bc_c1) >= abs(BTN1centrality_degreein_bc)) + 1) / (length(deg_in.bc_c1) + 1) #p 0.38
#praw_bc.c1

zscore<-net.zscore(BTN1Icentrality_degreein_bc, deg_in.bc_c1)
zscore
net.metric.pvalue <- 2*pnorm(-abs(zscore))
net.metric.pvalue # 
#

deg_in_nullmodel_l_n1_CB<-lapply(deg_in_nullmodel_l_n1, function(x) x[7,2]) #CB

deg_in.cb_c1<-as.data.frame(unlist(deg_in_nullmodel_l_n1_CB))
deg_in.cb_c1<-as.numeric(unlist(deg_in.cb_c1)) #

#praw_cb.c1<-(sum(abs(deg_in.cb_c1) >= abs(BTN1centrality_degreein_cb)) + 1) / (length(deg_in.cb_c1) + 1) #p 0.77
#praw_cb.c1

zscore<-net.zscore(BTN1Icentrality_degreein_cb, deg_in.cb_c1)
zscore
net.metric.pvalue <- 2*pnorm(-abs(zscore))
net.metric.pvalue # 

#
deg_in_nullmodel_l_n1_CD<-lapply(deg_in_nullmodel_l_n1, function(x) x[8,2]) #CD

deg_in.cd_c1<-as.data.frame(unlist(deg_in_nullmodel_l_n1_CD))
deg_in.cd_c1<-as.numeric(unlist(deg_in.cd_c1)) #

#praw_cd.c1<-(sum(abs(deg_in.cd_c1) >= abs(BTN1centrality_degreein_cd)) + 1) / (length(deg_in.cd_c1) + 1) #p 0.88
#praw_cd.c1

zscore<-net.zscore(BTN1Icentrality_degreein_cd, deg_in.cd_c1)
zscore
net.metric.pvalue <- 2*pnorm(-abs(zscore))
net.metric.pvalue # 

#
deg_in_nullmodel_l_n1_FP<-lapply(deg_in_nullmodel_l_n1, function(x) x[9,2]) #FP

deg_in.fp_c1<-as.data.frame(unlist(deg_in_nullmodel_l_n1_FP))
deg_in.fp_c1<-as.numeric(unlist(deg_in.fp_c1)) #

#praw_fp.c1<-(sum(abs(deg_in.fp_c1) >= abs(BTN1centrality_degreein_fp)) + 1) / (length(deg_in.fp_c1) + 1) #p 0.88
#praw_fp.c1

zscore<-net.zscore(BTN1Icentrality_degreein_fp, deg_in.fp_c1)
zscore
net.metric.pvalue <- 2*pnorm(-abs(zscore))
net.metric.pvalue # 

#
deg_in_nullmodel_l_n1_CF<-lapply(deg_in_nullmodel_l_n1, function(x) x[10,2]) #CF

deg_in.cf_c1<-as.data.frame(unlist(deg_in_nullmodel_l_n1_CF))
deg_in.cf_c1<-as.numeric(unlist(deg_in.cf_c1)) #

#praw_cf.c1<-(sum(abs(deg_in.cf_c1) >= abs(BTN1centrality_degreein_cf)) + 1) / (length(deg_in.cf_c1) + 1) #p 0.65
#praw_cf.c1

zscore<-net.zscore(BTN1Icentrality_degreein_cf, deg_in.cf_c1)
zscore
net.metric.pvalue <- 2*pnorm(-abs(zscore))
net.metric.pvalue # 

#
deg_in_nullmodel_l_n1_FD<-lapply(deg_in_nullmodel_l_n1, function(x) x[11,2]) #FD

deg_in.fd_c1<-as.data.frame(unlist(deg_in_nullmodel_l_n1_FD))
deg_in.fd_c1<-as.numeric(unlist(deg_in.fd_c1)) #

#praw_fd.c1<-(sum(abs(deg_in.fd_c1) >= abs(BTN1centrality_degreein_fd)) + 1) / (length(deg_in.fd_c1) + 1) #p 0.53
#praw_fd.c1

zscore<-net.zscore(BTN1Icentrality_degreein_fd, deg_in.fd_c1)
zscore
net.metric.pvalue <- 2*pnorm(-abs(zscore))
net.metric.pvalue # 
